<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>FbConnectionProperties (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FbConnectionProperties (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":42,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbConnectionProperties.html" target="_top">Frames</a></li>
<li><a href="FbConnectionProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class FbConnectionProperties" class="title">Class FbConnectionProperties</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.FbConnectionProperties</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;, <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FbConnectionProperties</span>
extends <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;
implements <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></pre>
<div class="block">Mutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng"><code>FbImmutableConnectionProperties</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.IConnectionProperties">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_BUFFERS_NUMBER">DEFAULT_BUFFERS_NUMBER</a>, <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_DIALECT">DEFAULT_DIALECT</a>, <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#SESSION_TIME_ZONE_SERVER">SESSION_TIME_ZONE_SERVER</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT">DEFAULT_CONNECT_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT">DEFAULT_PORT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME">DEFAULT_SERVER_NAME</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT">DEFAULT_SO_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE">DEFAULT_SOCKET_BUFFER_SIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#FbConnectionProperties--">FbConnectionProperties</a></span>()</code>
<div class="block">Default constructor for FbConnectionProperties</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#FbConnectionProperties-org.firebirdsql.gds.ng.IConnectionProperties-">FbConnectionProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&nbsp;src)</code>
<div class="block">Copy constructor for FbConnectionProperties.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#asImmutable--">asImmutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#asNewMutable--">asNewMutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#dirtied--">dirtied</a></span>()</code>
<div class="block">Called by setters if they have been called.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#fromDpb-org.firebirdsql.gds.DatabaseParameterBuffer-">fromDpb</a></span>(<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">TODO: This method is only intended to simplify migration of the protocol implementation and needs to be removed.</span></div>
</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getAttachObjectName--">getAttachObjectName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getConnectionDialect--">getConnectionDialect</a></span>()</code>
<div class="block">Get the dialect of the client connection</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getDatabaseName--">getDatabaseName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getExtraDatabaseParameters--">getExtraDatabaseParameters</a></span>()</code>
<div class="block">Gets the extra database parameters.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getPageCacheSize--">getPageCacheSize</a></span>()</code>
<div class="block">Get the page cache size.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#getSessionTimeZone--">getSessionTimeZone</a></span>()</code>
<div class="block">Get the <code>sessionTimeZone</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#isColumnLabelForName--">isColumnLabelForName</a></span>()</code>
<div class="block">Gets the current setting of <code>columnLabelForName</code></div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#isResultSetDefaultHoldable--">isResultSetDefaultHoldable</a></span>()</code>
<div class="block">Get whether ResultSets are holdable by default.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setColumnLabelForName-boolean-">setColumnLabelForName</a></span>(boolean&nbsp;columnLabelForName)</code>
<div class="block">Set if <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSetMetaData.html?is-external=true#getColumnName-int-" title="class or interface in java.sql"><code>ResultSetMetaData.getColumnName(int)</code></a> returns the <code>columnLabel</code> instead of the
 <code>columnName</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setConnectionDialect-short-">setConnectionDialect</a></span>(short&nbsp;connectionDialect)</code>
<div class="block">Set the dialect of the client connection</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setDatabaseName-java.lang.String-">setDatabaseName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;databaseName)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setPageCacheSize-int-">setPageCacheSize</a></span>(int&nbsp;pageCacheSize)</code>
<div class="block">Set the page cache size.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setResultSetDefaultHoldable-boolean-">setResultSetDefaultHoldable</a></span>(boolean&nbsp;holdable)</code>
<div class="block">Set if <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> should be <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#HOLD_CURSORS_OVER_COMMIT" title="class or interface in java.sql"><code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code></a> by default.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html#setSessionTimeZone-java.lang.String-">setSessionTimeZone</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionTimeZone)</code>
<div class="block">Sets the <code>sessionTimeZone</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractAttachProperties">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getCharSet--">getCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getConnectTimeout--">getConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getPassword--">getPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getPortNumber--">getPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getRoleName--">getRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getServerName--">getServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getSoTimeout--">getSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getUser--">getUser</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setPortNumber-int-">setPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setServerName-java.lang.String-">setServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setUser-java.lang.String-">setUser</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getCharSet--">getCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getConnectTimeout--">getConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getEncoding--">getEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPassword--">getPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPortNumber--">getPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getRoleName--">getRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getServerName--">getServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSoTimeout--">getSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getUser--">getUser</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPortNumber-int-">setPortNumber</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setServerName-java.lang.String-">setServerName</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setUser-java.lang.String-">setUser</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FbConnectionProperties-org.firebirdsql.gds.ng.IConnectionProperties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FbConnectionProperties</h4>
<pre>public&nbsp;FbConnectionProperties(<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&nbsp;src)</pre>
<div class="block">Copy constructor for FbConnectionProperties.
 <p>
 All properties defined in <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a> are
 copied from <code>src</code> to the new instance.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>src</code> - Source to copy from</dd>
</dl>
</li>
</ul>
<a name="FbConnectionProperties--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FbConnectionProperties</h4>
<pre>public&nbsp;FbConnectionProperties()</pre>
<div class="block">Default constructor for FbConnectionProperties</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDatabaseName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabaseName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getDatabaseName--">getDatabaseName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name or alias of the database</dd>
</dl>
</li>
</ul>
<a name="setDatabaseName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabaseName</h4>
<pre>public&nbsp;void&nbsp;setDatabaseName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;databaseName)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setDatabaseName-java.lang.String-">setDatabaseName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>databaseName</code> - Name or alias of the database</dd>
</dl>
</li>
</ul>
<a name="getAttachObjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttachObjectName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAttachObjectName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAttachObjectName--">getAttachObjectName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the object to attach to (either a database or service name).</dd>
</dl>
</li>
</ul>
<a name="getConnectionDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionDialect</h4>
<pre>public&nbsp;short&nbsp;getConnectionDialect()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getConnectionDialect--">IConnectionProperties</a></code></span></div>
<div class="block">Get the dialect of the client connection
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_DIALECT"><code>IConnectionProperties.DEFAULT_DIALECT</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getConnectionDialect--">getConnectionDialect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL dialect of the client.</dd>
</dl>
</li>
</ul>
<a name="setConnectionDialect-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectionDialect</h4>
<pre>public&nbsp;void&nbsp;setConnectionDialect(short&nbsp;connectionDialect)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setConnectionDialect-short-">IConnectionProperties</a></code></span></div>
<div class="block">Set the dialect of the client connection
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_DIALECT"><code>IConnectionProperties.DEFAULT_DIALECT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setConnectionDialect-short-">setConnectionDialect</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectionDialect</code> - SQL dialect of the client.</dd>
</dl>
</li>
</ul>
<a name="getPageCacheSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPageCacheSize</h4>
<pre>public&nbsp;int&nbsp;getPageCacheSize()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getPageCacheSize--">IConnectionProperties</a></code></span></div>
<div class="block">Get the page cache size.
 <p>
 A value of <code>0</code> indicates that the value is not set, and that
 the server default is used.
 </p>
 <p>
 This option is only relevant for Firebird implementations with per connection cache (eg Classic)
 </p>
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_BUFFERS_NUMBER"><code>IConnectionProperties.DEFAULT_BUFFERS_NUMBER</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getPageCacheSize--">getPageCacheSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of cache buffers that should be allocated for this
         connection, should be specified for ClassicServer instances,
         SuperServer has a server-wide configuration parameter.</dd>
</dl>
</li>
</ul>
<a name="setPageCacheSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPageCacheSize</h4>
<pre>public&nbsp;void&nbsp;setPageCacheSize(int&nbsp;pageCacheSize)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setPageCacheSize-int-">IConnectionProperties</a></code></span></div>
<div class="block">Set the page cache size.
 <p>
 A value of <code>0</code> indicates that the value is not set, and that
 the server default is used.
 </p>
 <p>
 This option is only relevant for Firebird implementations with per connection cache (eg Classic)
 </p>
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#DEFAULT_BUFFERS_NUMBER"><code>IConnectionProperties.DEFAULT_BUFFERS_NUMBER</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setPageCacheSize-int-">setPageCacheSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageCacheSize</code> - number of cache buffers that should be allocated for this
         connection, should be specified for ClassicServer instances,
         SuperServer has a server-wide configuration parameter.</dd>
</dl>
</li>
</ul>
<a name="setResultSetDefaultHoldable-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResultSetDefaultHoldable</h4>
<pre>public&nbsp;void&nbsp;setResultSetDefaultHoldable(boolean&nbsp;holdable)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setResultSetDefaultHoldable-boolean-">IConnectionProperties</a></code></span></div>
<div class="block">Set if <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><code>ResultSet</code></a> should be <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#HOLD_CURSORS_OVER_COMMIT" title="class or interface in java.sql"><code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code></a> by default.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setResultSetDefaultHoldable-boolean-">setResultSetDefaultHoldable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>holdable</code> - <code>true</code> ResultSets are holdable, <code>false</code> (default) ResultSets are <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CLOSE_CURSORS_AT_COMMIT" title="class or interface in java.sql"><code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code></a></dd>
</dl>
</li>
</ul>
<a name="isResultSetDefaultHoldable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isResultSetDefaultHoldable</h4>
<pre>public&nbsp;boolean&nbsp;isResultSetDefaultHoldable()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#isResultSetDefaultHoldable--">IConnectionProperties</a></code></span></div>
<div class="block">Get whether ResultSets are holdable by default.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#isResultSetDefaultHoldable--">isResultSetDefaultHoldable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> ResultSets by default are <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#HOLD_CURSORS_OVER_COMMIT" title="class or interface in java.sql"><code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code></a>,
         <code>false</code> (default), ResultSets
         are <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#CLOSE_CURSORS_AT_COMMIT" title="class or interface in java.sql"><code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code></a></dd>
</dl>
</li>
</ul>
<a name="setColumnLabelForName-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColumnLabelForName</h4>
<pre>public&nbsp;void&nbsp;setColumnLabelForName(boolean&nbsp;columnLabelForName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setColumnLabelForName-boolean-">IConnectionProperties</a></code></span></div>
<div class="block">Set if <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSetMetaData.html?is-external=true#getColumnName-int-" title="class or interface in java.sql"><code>ResultSetMetaData.getColumnName(int)</code></a> returns the <code>columnLabel</code> instead of the
 <code>columnName</code>.
 <p>
 The default behaviour (with <code>columnLabelForName=false</code> is JDBC-compliant. The behavior for value
 <code>true</code> is
 to provide compatibility with tools with a wrong expectation.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setColumnLabelForName-boolean-">setColumnLabelForName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnLabelForName</code> - <code>false</code> JDBC compliant behavior (<code>columnName</code> is returned), <code>true</code>
         compatibility option (<code>columnLabel</code> is returned)</dd>
</dl>
</li>
</ul>
<a name="isColumnLabelForName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isColumnLabelForName</h4>
<pre>public&nbsp;boolean&nbsp;isColumnLabelForName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#isColumnLabelForName--">IConnectionProperties</a></code></span></div>
<div class="block">Gets the current setting of <code>columnLabelForName</code></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#isColumnLabelForName--">isColumnLabelForName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>false</code> JDBC compliant behavior (<code>columnName</code> is returned), <code>true</code>
         compatibility option (<code>columnLabel</code> is returned)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setColumnLabelForName-boolean-"><code>IConnectionProperties.setColumnLabelForName(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setSessionTimeZone-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSessionTimeZone</h4>
<pre>public&nbsp;void&nbsp;setSessionTimeZone(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sessionTimeZone)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setSessionTimeZone-java.lang.String-">IConnectionProperties</a></code></span></div>
<div class="block">Sets the <code>sessionTimeZone</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#setSessionTimeZone-java.lang.String-">setSessionTimeZone</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sessionTimeZone</code> - Firebird 4+ session time zone name (we strongly suggest to use Java compatible names only),
         use <code>"server"</code> to use server default time zone (note: conversion will use JVM default time zone)</dd>
</dl>
</li>
</ul>
<a name="getSessionTimeZone--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSessionTimeZone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSessionTimeZone()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getSessionTimeZone--">IConnectionProperties</a></code></span></div>
<div class="block">Get the <code>sessionTimeZone</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getSessionTimeZone--">getSessionTimeZone</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value for <code>sessionTimeZone</code></dd>
</dl>
</li>
</ul>
<a name="getExtraDatabaseParameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraDatabaseParameters</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;getExtraDatabaseParameters()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getExtraDatabaseParameters--">IConnectionProperties</a></code></span></div>
<div class="block">Gets the extra database parameters. This can be used to pass extra database parameters that are not directly
 supported.
 <p>
 An immutable instance of <code>IConnectionProperties</code> <b>must</b> return a copy.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#getExtraDatabaseParameters--">getExtraDatabaseParameters</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>DatabaseParameterBuffer instance.</dd>
</dl>
</li>
</ul>
<a name="asImmutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asImmutable</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&nbsp;asImmutable()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asImmutable--">asImmutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#asImmutable--">asImmutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An immutable version of this instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a></dd>
</dl>
</li>
</ul>
<a name="asNewMutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asNewMutable</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&nbsp;asNewMutable()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asNewMutable--">asNewMutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html#asNewMutable--">asNewMutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new, mutable, instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a> with all properties
 copied.</dd>
</dl>
</li>
</ul>
<a name="fromDpb-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromDpb</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;void&nbsp;fromDpb(<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">TODO: This method is only intended to simplify migration of the protocol implementation and needs to be removed.</span></div>
<div class="block">Method to populate an FbConnectionProperties from a database parameter buffer.
 <p>
 Unsupported or unknown properties are ignored.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dpb</code> - Database parameter buffer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="dirtied--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dirtied</h4>
<pre>protected&nbsp;void&nbsp;dirtied()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#dirtied--">AbstractAttachProperties</a></code></span></div>
<div class="block">Called by setters if they have been called.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html#dirtied--">dirtied</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/FbConnectionProperties.html" target="_top">Frames</a></li>
<li><a href="FbConnectionProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
